{% extends 'utilisateur.html' %}
{% load static %}

{% block head_css %}
    <link href="{% static 'utilisateur/css/reset.css' %}"
          rel="stylesheet" media="screen">
{% endblock %}

{% block content %}
    <div class="login-page">
        <div id="login-form">
            {% if validlink %}

                <form class="form form-horizontal" method="post"
                      accept-charset="UTF-8" id="formPasswordReset">
                    {% csrf_token %}

                    <div class="panel-heading">
                        <div class="panel-title text-center">
                            <h3 class="title">Réinitialisation du mot de passe</h3>
                            <hr/>
                        </div>
                    </div>


                    <div class="form-group">
                        {{ form.password1.errors }}
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            <input type="password" class="form-control has-popover"
                                   id="{{ form.new_password1.id_for_label }}"
                                   name="{{ form.new_password1.html_name }}"
                                   placeholder="{{ form.new_password1.label }}"
                                   data-toggle="popover"
                                   data-container="body"
                                   data-html="true"
                                   data-placement="top"
                                   data-content="{{ form.new_password1.help_text|safe }}"
                                   required>
                        </div>

                    </div>

                    <div class="form-group">
                        {{ form.password2.errors }}
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <span class="input-group-text"><i class="fas fa-key"></i></span>
                            </div>
                            <input type="password" class="form-control has-popover"
                                   id="{{ form.new_password2.id_for_label }}"
                                   name="{{ form.new_password2.html_name }}"
                                   placeholder="{{ form.new_password2.label }}"
                                   data-toggle="popover"
                                   data-container="body"
                                   data-html="true"
                                   data-placement="top"
                                   data-content="{{ form.new_password2.help_text|safe }}"
                                   required>
                        </div>
                    </div>

                    <button class="btn btn-primary btn-block" type="submit">Changer mon mot de passe</button>

                </form>

            {% else %}
                <p>
                    Le lien de réinitialisation fourni est invalide. Demandez-en un nouveau
                </p>
            {% endif %}
        </div>
    </div>
{% endblock %}